Loading...
Searching...
No Matches
Map LAPACK => MAGMA
Utilities » Constants and converters

Convert LAPACK character constants to MAGMA constants. More...

## Functions

magma_bool_t | magma_bool_const (char lapack_char)
magma_order_t | magma_order_const (char lapack_char)
magma_trans_t | magma_trans_const (char lapack_char)
magma_uplo_t | magma_uplo_const (char lapack_char)
magma_diag_t | magma_diag_const (char lapack_char)
magma_side_t | magma_side_const (char lapack_char)
magma_norm_t | magma_norm_const (char lapack_char)
magma_dist_t | magma_dist_const (char lapack_char)
magma_sym_t | magma_sym_const (char lapack_char)
magma_pack_t | magma_pack_const (char lapack_char)
magma_vec_t | magma_vec_const (char lapack_char)
magma_range_t | magma_range_const (char lapack_char)
magma_vect_t | magma_vect_const (char lapack_char)
magma_direct_t | magma_direct_const (char lapack_char)
magma_storev_t | magma_storev_const (char lapack_char)

## Detailed Description

Convert LAPACK character constants to MAGMA constants.

This is a one-to-many mapping, requiring multiple translators (e.g., "N" can be NoTrans or NonUnit or NoVec). Matching is case-insensitive.

## Function Documentation

## magma_bool_const()

magma_bool_t magma_bool_const | ( | char | lapack_char | ) |

Return values

  MagmaFalse | if lapack_char = 'N'
  MagmaTrue | if lapack_char = 'Y'

## magma_order_const()

magma_order_t magma_order_const | ( | char | lapack_char | ) |

Return values

  MagmaRowMajor | if lapack_char = 'R'
  MagmaColMajor | if lapack_char = 'C'

## magma_trans_const()

magma_trans_t magma_trans_const | ( | char | lapack_char | ) |

Return values

  MagmaNoTrans | if lapack_char = 'N'
  MagmaTrans | if lapack_char = 'T'
  MagmaConjTrans | if lapack_char = 'C'

## magma_uplo_const()

magma_uplo_t magma_uplo_const | ( | char | lapack_char | ) |

Return values

  MagmaUpper | if lapack_char = 'U'
  MagmaLower | if lapack_char = 'L'
  MagmaFull | otherwise

## magma_diag_const()

magma_diag_t magma_diag_const | ( | char | lapack_char | ) |

Return values

  MagmaNonUnit | if lapack_char = 'N'
  MagmaUnit | if lapack_char = 'U'

## magma_side_const()

magma_side_t magma_side_const | ( | char | lapack_char | ) |

Return values

  MagmaLeft | if lapack_char = 'L'
  MagmaRight | if lapack_char = 'R'
  MagmaBothSides | if lapack_char = 'B'

## magma_norm_const()

magma_norm_t magma_norm_const | ( | char | lapack_char | ) |

Return values

  MagmaOneNorm | if lapack_char = '1' or 'O'
  MagmaTwoNorm | if lapack_char = '2'
  MagmaFrobeniusNorm | if lapack_char = 'F' or 'E'
  MagmaInfNorm | if lapack_char = 'I'
  MagmaMaxNorm | if lapack_char = 'M'

## magma_dist_const()

magma_dist_t magma_dist_const | ( | char | lapack_char | ) |

Return values

  MagmaDistUniform | if lapack_char = 'U'
  MagmaDistSymmetric | if lapack_char = 'S'
  MagmaDistNormal | if lapack_char = 'N'

## magma_sym_const()

magma_sym_t magma_sym_const | ( | char | lapack_char | ) |

Return values

  MagmaHermGeev | if lapack_char = 'H'
  MagmaHermPoev | if lapack_char = 'P'
  MagmaNonsymPosv | if lapack_char = 'N'
  MagmaSymPosv | if lapack_char = 'S'

## magma_pack_const()

magma_pack_t magma_pack_const | ( | char | lapack_char | ) |

Return values

  MagmaNoPacking | if lapack_char = 'N'
  MagmaPackSubdiag | if lapack_char = 'U'
  MagmaPackSupdiag | if lapack_char = 'L'
  MagmaPackColumn | if lapack_char = 'C'
  MagmaPackRow | if lapack_char = 'R'
  MagmaPackLowerBand | if lapack_char = 'B'
  MagmaPackUpeprBand | if lapack_char = 'Q'
  MagmaPackAll | if lapack_char = 'Z'

## magma_vec_const()

magma_vec_t magma_vec_const | ( | char | lapack_char | ) |

Return values

  MagmaNoVec | if lapack_char = 'N'
  MagmaVec | if lapack_char = 'V'
  MagmaIVec | if lapack_char = 'I'
  MagmaAllVec | if lapack_char = 'A'
  MagmaSomeVec | if lapack_char = 'S'
  MagmaOverwriteVec | if lapack_char = 'O'

## magma_range_const()

magma_range_t magma_range_const | ( | char | lapack_char | ) |

Return values

  MagmaRangeAll | if lapack_char = 'A'
  MagmaRangeV | if lapack_char = 'V'
  MagmaRangeI | if lapack_char = 'I'

## magma_vect_const()

magma_vect_t magma_vect_const | ( | char | lapack_char | ) |

Return values

  MagmaQ | if lapack_char = 'Q'
  MagmaP | if lapack_char = 'P'

## magma_direct_const()

magma_direct_t magma_direct_const | ( | char | lapack_char | ) |

Return values

  MagmaForward | if lapack_char = 'F'
  MagmaBackward | if lapack_char = 'B'

## magma_storev_const()

magma_storev_t magma_storev_const | ( | char | lapack_char | ) |

Return values

  MagmaColumnwise | if lapack_char = 'C'
  MagmaRowwise | if lapack_char = 'R'